package com.energy.manage.service.domain.vo.analysis;

import com.energy.manage.service.domain.vo.windenginegroup.WindEngineGroupShortVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Date;
import java.util.Set;

/**
 * @author chy
 * @date 2025/1/13 17:28
 * @desc
 */
@Data
@Accessors(chain = true)
public class AnalysisRelateInfoVo {

    /**
     * 已分析的批次信息
     */
    private Set<AnalysisTypeShortVo> analysisTypes;

    /**
     * 已分析的风机列表
     */
    private Set<WindEngineGroupShortVo> windEngineGroups;

    /**
     * 分析操作人
     */
    private String updateByName;

    /**
     * 数据开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone = "GMT+8")
    private Date dataStartTime;

    /**
     * 数据结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone = "GMT+8")
    private Date dataEndTime;

    /**
     * 分析完成时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone = "GMT+8")
    private Date analysisFinishTime;
}
